zennode(6)

NAME
zennode - build nodes for Doom and related games

SYNOPSIS
zennode [ -options ] input.wad [ level[+level] ] [ -o|x output.wad ]

DESCRIPTION
zennode builds NODES, BLOCKMAP, REJECT resources for ID Software's Doom and related games. This includes both "vanilla" resources and OpenGL-specific resources used by GL-based source ports such as gzdoom.

OPTIONS
For any option -x, use -x- to disable and -x+ to enable.

-b  (re)build BLOCKMAP.

-bc (re)build BLOCKMAP, compressed. Enabled by default.

-n[a=1,2,3|q|u|i]
    (re)build NODES, enabled by default. Sub-options:
    a=n - Select partition algorithm. n is one of: 1 (Minimize splits), 2 (Minimize BSP depth), or 3 (Minimize time). Default is a=1.
    q - Quiet. Don't display progress bar. Enabled by default, use -q- to see progress bar.
    u - Ensure all sub-sectors contain only one sector.
    i - Ignore non-visible linedefs.

-r[zfgm]
    (re)build REJECT resource. Enabled by default. Sub-options:
    z - Insert empty REJECT resource.
    f - Rebuild even if REJECT effects are detected.
    g - Use graphs to reduce LOS calculations (enabled by default).
    m filename - Process RMB option file (.rej).

-t  Test mode. Don't write output file.

SUPPORTED GAMES
Doom, Doom II, Ultimate Doom, Heretic, Hexen, Strife

SEE ALSO
The main documentation at /usr/doc/zennode-1.2.1/
The ZenNode homepage at http://mrousseau.org/programs/ZenNode/
idbsp(6)
wreject(6)
warm(6)
glbsp(6)

AUTHOR
ZenNode is copyright (c) 1994-2004 Marc Rousseau

This man page was written by B. Watson for the SlackBuilds.org project, but it can be used by anyone.